Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1362486

Summary: [abrt] midori: pthread_cond_wait@@GLIBC_2.3.2(): midori killed by SIGSEGV
Product: [Fedora] Fedora Reporter: deadrat <jayabharat>
Component: midoriAssignee: Kevin Fenzi <kevin>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: kevin
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/ed01e1e7fd0bd394432657febbced7c30a4fe3bd
Whiteboard: abrt_hash:154613c6e654e57a80b7d9d8b0a7b5785ea1adac;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 16:09:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: mountinfo
none
File: namespaces
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description deadrat 2016-08-02 10:59:26 UTC
Description of problem:
while loding locally saved html5 files

Version-Release number of selected component:
midori-0.5.11-2.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/midori /home/rat.old/Git/tit/files/index.html
crash_function: pthread_cond_wait@@GLIBC_2.3.2
executable:     /usr/bin/midori
global_pid:     6244
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 13 (2 frames)
 #0 pthread_cond_wait@@GLIBC_2.3.2 at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 #1 WTF::ThreadCondition::timedWait at Source/WTF/wtf/ThreadingPthreads.cpp:352

Comment 1 deadrat 2016-08-02 10:59:33 UTC
Created attachment 1186748 [details]
File: backtrace

Comment 2 deadrat 2016-08-02 10:59:34 UTC
Created attachment 1186749 [details]
File: cgroup

Comment 3 deadrat 2016-08-02 10:59:37 UTC
Created attachment 1186750 [details]
File: core_backtrace

Comment 4 deadrat 2016-08-02 10:59:39 UTC
Created attachment 1186751 [details]
File: dso_list

Comment 5 deadrat 2016-08-02 10:59:41 UTC
Created attachment 1186752 [details]
File: environ

Comment 6 deadrat 2016-08-02 10:59:43 UTC
Created attachment 1186753 [details]
File: exploitable

Comment 7 deadrat 2016-08-02 10:59:45 UTC
Created attachment 1186754 [details]
File: limits

Comment 8 deadrat 2016-08-02 10:59:48 UTC
Created attachment 1186755 [details]
File: maps

Comment 9 deadrat 2016-08-02 10:59:49 UTC
Created attachment 1186756 [details]
File: mountinfo

Comment 10 deadrat 2016-08-02 10:59:51 UTC
Created attachment 1186757 [details]
File: namespaces

Comment 11 deadrat 2016-08-02 10:59:52 UTC
Created attachment 1186758 [details]
File: open_fds

Comment 12 deadrat 2016-08-02 10:59:54 UTC
Created attachment 1186759 [details]
File: proc_pid_status

Comment 13 deadrat 2016-08-02 10:59:56 UTC
Created attachment 1186760 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-25 22:12:31 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 16:09:55 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.